/**
 * datetime: a jQuery plugin, version: 0.9.0 (2011-05-13)
 * @requires jQuery v1.2.3 or later
 *
 * Datetime is a jQuery plugin that makes it easy to support automatically
 * updating timestamps (e.g. "4 minutes ago", "12:05am", or "Tuesday at 5:02pm").
 *
 * For usage and examples, visit:
 * http://github.com/carter-thaxton/jquery.datetime
 *
 * Inspired by jquery.timeago, by Ryan McGeary.
 * Enhanced to support date formats more appropriate for a local business,
 * especially one that may have night-time business hours beyond midnight.
 *
 * Licensed under the MIT:
 * http://www.opensource.org/licenses/mit-license.php
 *
 * Copyright (c) 2011, Carter Thaxton (carter.thaxton -[at]- gmail [*dot*] com)
 */(function(a){function e(a){return b.inWords(a)}function d(c){c=a(c),result={datetime:b.extract(c)},c.data("datetime",result);return result}function c(){var b=d(this);isNaN(b.datetime)||a(this).text(e(b.datetime));return this}a.datetime=function(b){return b instanceof Date?e(b):typeof b=="string"?e(a.datetime.parse(b)):e(a.datetime.extract(b))};var b=a.datetime;a.extend(b,{settings:{relativeLimitMinutes:20,businessDateRolloverHour:0,useShortDateNames:!1,strings:{prefixAgo:null,prefixFromNow:null,suffixAgo:"ago",suffixFromNow:"from now",seconds:"less than a minute",minute:"about a minute",minutes:"%d minutes",hour:"about an hour",hours:"about %d hours",day:"a day",days:"%d days",month:"about a month",months:"%d months",year:"about a year",years:"%d years",time:"%h12:%min%ampm",today:"at %time",thisWeek:"on %day at %time",thisYear:"on %day, %month %date",future:"on %day, %month %date, %year",other:"on %day, %month %date, %year",dayNames:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],monthNames:["January","February","March","April","May","June","July","August","September","October","November","December"],shortDayNames:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],shortMonthNames:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],numberNames:[]}},inWords:function(b){function l(a){var b=new Date(a);b.setHours(0,0,0,0),c.businessDateRolloverHour&&a.getHours()<c.businessDateRolloverHour&&b.setDate(b.getDate()-1);return b}function k(b,c,d,e,f,g,i){var j=a.isFunction(b)?b(c):b;j=j.replace(/%sec/i,h(d,2)).replace(/%min/i,h(e,2)).replace(/%hour/i,f).replace(/%h12/i,g).replace(/%ampm/i,i);return j}function j(b,c,d,e,f,g,h){var i=a.isFunction(b)?b(c):b;i=i.replace(/%time/i,d).replace(/%day/i,e).replace(/%date/i,f).replace(/%month/i,g).replace(/%year/i,h);return i}function i(c,e){var f=a.isFunction(c)?c(e,b):c,g=d.numberNames&&d.numberNames[e]||e;return f.replace(/%d/i,g)}function h(a,b){var c=String(a);while(c.length<b)c="0"+c;return c}var c=this.settings,d=c.strings,e=d.prefixAgo,f=d.suffixAgo,g=new Date,m=g.getTime()-b.getTime(),n=!1;m<0&&(n=!0,e=d.prefixFromNow,f=d.suffixFromNow),m=Math.abs(m);var o=m/1e3,p=o/60,q=p/60,r=q/24,s=r/365,t,u=c.relativeLimitMinutes&&p<=c.relativeLimitMinutes;if(u){var v=o<45&&i(d.seconds,Math.round(o))||o<90&&i(d.minute,1)||p<45&&i(d.minutes,Math.round(p))||p<90&&i(d.hour,1)||q<24&&i(d.hours,Math.round(q))||q<48&&i(d.day,1)||r<30&&i(d.days,Math.floor(r))||r<60&&i(d.month,1)||r<365&&i(d.months,Math.floor(r/30))||s<2&&i(d.year,1)||i(d.years,Math.floor(s));t=a.trim([e,v,f].join(" "))}else{var w=b.getSeconds(),x=b.getMinutes(),y=b.getHours(),z=y>12?y-12:y==0?12:y,A=y>=12?"pm":"am",B=k(d.time,b,w,x,y,z,A),C=l(b),D=l(g),E=c.useShortDateNames?d.shortDayNames:d.dayNames,F=c.useShortDateNames?d.shortMonthNames:d.monthNames,G=E[C.getDay()],H=C.getDate(),I=F[C.getMonth()],J=C.getFullYear(),K=864e5,L;C.getTime()===D.getTime()?L=d.today:C.getTime()>D.getTime()?L=d.future:C.getTime()>=D.getTime()-6*K?L=d.thisWeek:C.getFullYear()==D.getFullYear()?L=d.thisYear:L=d.other,t=j(L,b,B,G,H,I,J)}return t},parse:function(b){var c=a.trim(b);c=c.replace(/\.\d\d\d+/,""),c=c.replace(/-/,"/").replace(/-/,"/"),c=c.replace(/T/," ").replace(/Z/," UTC"),c=c.replace(/([\+\-]\d\d)\:?(\d\d)/," $1$2");return new Date(c)},extract:function(c){var d=a(c).get(0).tagName.toLowerCase()==="time",e=d?a(c).attr("datetime"):a(c).attr("title");return b.parse(e)}}),a.fn.datetime=function(){var a=this;a.each(c);return a},document.createElement("abbr"),document.createElement("time")})(jQuery)